[ Maverik Level 2 functions ]

#

mav_matrixStackPush

mav_matrixStackPush, mav_matrixStackGet, mav_matrixStackPop

## Summary

Maverik matrix stack functions.

## Syntax

void mav_matrixStackPush(MAV_matrix m);

MAV_matrix mav_matrixStackGet(void);

void mav_matrixStackPop(void);

- MAV_matrix m
  Matrix.

## Description

Maverik maintains a matrix utility stack for use by applications. The stack is private to Maverik and is separate from the graphics matrix stack.

mav_matrixStackPush pushes matrix `m` onto the stack.

mav_matrixStackGet returns the matrix on the top of the stack, but does not pop the stack.

mav_matrixStackPop pops the stack.

Back to the index page.